Loading...
Searching...
No Matches
gtsam::EmptyCal Class Reference
Geometry

## Detailed Description

Empty calibration.

Only needed to play well with other cameras (e.g., when templating functions wrt cameras), since other cameras have constuctors in the form ‘camera(pose,calibration)’

## Public Member Functions

void | print (const std::string &s) const

## Static Public Member Functions

static size_t | Dim ()
| return DOF, dimensionality of tangent space

## Public Types

enum | { dimension = 0 }
using | shared_ptr = boost::shared_ptr<EmptyCal>

## Friends

class | boost::serialization::access
| Serialization function.

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/SphericalCamera.h